GMN returns two different dateSysMetadataModified dateTime stamps for same object
Description

GMN returns two different dataSysMetadataModified datesTime stamps for same object: one in MNRead.getSystemMetadata() and

the other in MNRead.listObjects():

curl -s -X GET https://gmn.lternet.edu/mn/v1/meta/doi:10.6073/AA/knb-lter-bes.417.47 | xml fo

<?xml version="1.0"?>

4

doi:10.6073/AA/knb-lter-bes.417.47

eml://ecoinformatics.org/eml-2.0.1

11435

84a5a7f446bed53b2a5f9090dfc2e7d9

CN=urn:node:LTER,DC=dataone,DC=org

uid=BES,o=LTER,dc=ecoinformatics,dc=org

public

read

uid="BES",o=lter,dc=ecoinformatics,dc=org

read

write

changePermission

doi:10.6073/AA/knb-lter-bes.417.46

doi:10.6073/AA/knb-lter-bes.417.48

2015-03-06T07:09:13.931577

2016-01-13T13:01:44.579484Z

urn:node:LTER

urn:node:LTER

/ns1:systemMetadata

and

curl -s -X GET "

https://gmn.lternet.edu/mn/v1/object?fromDate=2012-06-26T10:40:00.000+00:00&toDate=2012-06-26T10:45:00.000+00:00" | xml fo

<?xml version="1.0"?>

doi:10.6073/AA/knb-lter-bes.417.47

eml://ecoinformatics.org/eml-2.0.1

84a5a7f446bed53b2a5f9090dfc2e7d9

2012-06-26T10:41:36.229

11435

/ns1:objectList

This state occurs after the GMN receives an MNAuthorization.systemMetadataChanged() call from the CN to refresh system

metadata.
https://gmn.lternet.edu/mn/v1/meta/doi:10.6073/AA/knb-lter-bes.417.47
redmine.dataone.org/ns1:systemMetadata
https://gmn.lternet.edu/mn/v1/object?fromDate=2012-06-26T10:40:00.000+00:00&toDate=2012-06-26T10:45:00.000+00:00
redmine.dataone.org/ns1:objectList


Related issues:

Related to Member Nodes - Task #7645: LTER object(s) not synchronizing - bad ... Rejected 2016-02-17

History

#1 - 2016-02-22 23:42 - Mark Servilla

- Subject changed from GMN returns two different dataSysMetadataModified datesTime stamps for same object to GMN returns two different

dateSysMetadataModified dateTime stamps for same object

#2 - 2016-02-22 23:42 - Mark Servilla

- Related to Task #7645: LTER object(s) not synchronizing - bad dateSysMetadataModified? added

#3 - 2016-03-01 17:26 - Mark Servilla

This issue affects both process_system_metadata_refresh_queue.py and process_replication_queue.py processing, which commonly use

mn.sysmeta_store.py to write new system metadata to the local store. Tentative analysis indicates that mn.sysmeta_store.py should not update

dateSysMetadataModified field to "now" during this process.

#4 - 2016-04-14 14:17 - Mark Servilla

- Assignee changed from Mark Flynn to Roger Dahl
